Subject: bug#58111: [PATCH] Add support for the Adlam script

From: समीर सिंह Sameer Singh <[email-masked]>
Date: Tue, 27 Sep 2022 21:12:30 +0530

>
> I think this text should be re-wrapped ('M-q')

Will do, thanks

Are the `' necessary around the "\\=" ?

Not really, but there is also no harm letting them be there. They are also
in the other input methods which I have added.
See in indian.el, philippine.el, indonesian.el etc
This was copied from the brahmi input method written by Eli.

On Tue, Sep 27, 2022 at 6:35 PM Robert Pluim <[email-masked]> wrote:

> >>>>> On Tue, 27 Sep 2022 16:52:22 +0530, समीर सिंह Sameer Singh <
> [email-masked]> said:
>
>
>     समीर> * lisp/language/misc-lang.el ("Adlam"): New language environment.
>     समीर> Add composition rules for Adlam. Add sample text and input
> method.
>
> Two spaces after full stop.
>
>     समीर> @@ -1229,10 +1229,9 @@ to edit such sequences by allowing point
> to "enter" the sequence.
>     समीर>  *** Support for many old scripts and writing systems.
>     समीर>  Emacs now supports and has language-environments and input
> methods for
>     समीर>  several dozens of old scripts that were used in the past for
> various
>     समीर> -languages in South and South-East Asia.  For each such script
> Emacs
>     समीर> -now has font-selection and character composition rules, a
> language
>     समीर> -environment, and an input method.  The newly-added scripts and
> the
>     समीर> -corresponding language environments are:
>     समीर> +languages.  For each such script Emacs now has font-selection
> and character
>     समीर> +composition rules, a language environment, and an input
> method.  The newly-added
>     समीर> +scripts and the corresponding language environments are:
>
> I think this text should be re-wrapped ('M-q')
>
>     समीर> +(quail-define-package
>     समीर> + "adlam" "Adlam" "𞤀" t "Adlam input method.
>     समीर> +
>     समीर> + `\\=`' is used to switch levels instead of Alt-Gr.
>
> Are the `' necessary around the "\\=" ?
>
> The rest looks good to a limited Latin-1 person such as myself :-)
>
> Thanks for doing this.
>
> Robert
> --
>